# Generated from winrm-1.1.3.gem by gem2rpm -*- rpm-spec -*-
%{?scl:%scl_package rubygem-%{gem_name}}
%{!?scl:%global pkg_name %{name}}
%global gem_name winrm
%global rubyabi 1.9.1

Name: %{?scl_prefix}rubygem-%{gem_name}
Version: 1.1.3
Release: 4%{?dist}
Summary: Ruby library for Windows Remote Management
Group: Development/Languages
License: ASL 2.0
URL: http://github.com/WinRb/WinRM
Source0: https://rubygems.org/gems/%{gem_name}-%{version}.gem

# pull in patches from github pr's
# https://github.com/ManageIQ/WinRM/commit/63f01b0b53302f1ef960d3de2862835dadb7780b
Patch0: 63f01b0b-switch-savon.patch

# https://github.com/ManageIQ/WinRM/commit/a2fea5154d028b302cb959df7a25e9cd704a4648
Patch1: a2fea515-rspec-fixes.patch

# https://github.com/ManageIQ/WinRM/commit/f4fa33eba82d0f040186b3884b394d60ce375647
Patch2: f4fa33eb-update-nori.patch

Requires: %{?scl_prefix}ruby(abi) = %{rubyabi}
Requires: %{?scl_prefix}ruby(rubygems)
Requires: %{?scl_prefix}rubygem(gssapi) => 1.0.0
Requires: %{?scl_prefix}rubygem(gssapi) < 2.0
Requires: %{?scl_prefix}rubygem(httpclient) => 2.2
Requires: %{?scl_prefix}rubygem(httpclient) < 3
Requires: %{?scl_prefix}rubygem(httpclient) >= 2.2.0.2
Requires: %{?scl_prefix}rubygem(nokogiri) => 1.5
Requires: %{?scl_prefix}rubygem(nokogiri) < 2
Requires: %{?scl_prefix}rubygem(rubyntlm) => 0.1.1
Requires: %{?scl_prefix}rubygem(rubyntlm) < 1.0
Requires: %{?scl_prefix}rubygem(uuidtools) => 2.1.2
Requires: %{?scl_prefix}rubygem(uuidtools) < 2.2
Requires: %{?scl_prefix}rubygem(logging) => 1.6
Requires: %{?scl_prefix}rubygem(logging) < 2
Requires: %{?scl_prefix}rubygem(logging) >= 1.6.1
BuildRequires: %{?scl_prefix}ruby(abi)
BuildRequires: %{?scl_prefix}rubygems-devel
BuildRequires: %{?scl_prefix}ruby >= 1.9.0
BuildArch: noarch
Provides: %{?scl_prefix}rubygem(%{gem_name}) = %{version}

%description
Ruby library for Windows Remote Management.

%package doc
Summary: Documentation for %{name}
Group: Documentation
Requires: %{name} = %{version}-%{release}
BuildArch: noarch

%description doc
Documentation for %{name}.

%prep
%setup -c -q -T

%{?scl:scl enable %{scl} "}
gem unpack %{SOURCE0}
%{?scl:"}

pushd %{gem_name}-%{version}
%patch0 -p1
%patch1 -p1
%patch2 -p1

# swap git list-files for file glob
sed -i "s/\s*s.files =.*/s.files=Dir.glob\('\*\*\/\{\*\,\.\*\}'\)/" %{gem_name}.gemspec

%{?scl:scl enable %{scl} "}
gem build %{gem_name}.gemspec
%{?scl:"}
popd

%build
mkdir -p .%{gem_dir}

%{?scl:scl enable %{scl} "}
gem install --local --install-dir .%{gem_dir} \
            --force -V \
            --rdoc %{gem_name}-%{version}/%{gem_name}-%{version}.gem
%{?scl:"}

%install
rm -rf %{buildroot}
mkdir -p %{buildroot}%{gem_dir}
cp -a .%{gem_dir}/* %{buildroot}%{gem_dir}

pushd %{buildroot}%{gem_instdir}
rm .gitignore test/.rspec
popd

%files
%dir %{gem_instdir}
%{gem_instdir}/VERSION
%{gem_libdir}
%exclude %{gem_cache}
%{gem_spec}
%exclude %{gem_instdir}/Gemfile
%exclude %{gem_instdir}/Rakefile
%doc %{gem_instdir}/LICENSE
%doc %{gem_instdir}/preamble

%files doc
%doc %{gem_docdir}
%doc %{gem_instdir}/README.md
%doc %{gem_instdir}/test
%doc %{gem_instdir}/winrm.gemspec

%changelog
* Tue May 20 2014 Mo Morsi <mmorsi@redhat.com> - 1.1.3-4
- Unpack gem and apply upstream patches modifying gemspec
  before gem is installed

* Tue May 13 2014 Mo Morsi <mmorsi@redhat.com> - 1.1.3-3
- Update a few Requires to correctly reflect gem deps

* Thu May 08 2014 Mo Morsi <mmorsi@redhat.com> - 1.1.3-2
- Remove post 1.1.3 patch from upstream history
- Added post 1.1.3 patches from PR's

* Thu May 08 2014 Mo Morsi <mmorsi@redhat.com> - 1.1.3-1
- Initial package
